#ifndef ETHERNETLINKCOST_H_
#define ETHERNETLINKCOST_H_

#include "models/wiredbas/common/WireCost.h"
#include "quantities/WiringPath.h"
#include "TwistedPairCost.h"

namespace cosi
{

namespace models
{

namespace wiredbas
{

class EthernetLinkCost : public WireCost 
{
	TwistedPairCost* mTpCost ;
public:
	EthernetLinkCost();
	virtual ~EthernetLinkCost();
	double GetValue(WiringPath pPath);
};

}

}

}

#endif /*ETHERNETLINKCOST_H_*/
